@echo off
setlocal
call :fixcmdbug %*
goto :eof

:fixcmdbug
pushd "%~dp0"
call :delfile *.tmp
call :delfile *.~*
call :delfile *.dcu
call :delfile *.dproj
call :delfile *.dproj.local
call :delfile *.skincfg
call :delfile *.identcache
call :delfile *.dsk
call :delfile StructVer??????.pas
call :delfile CompressVer????.pas
call :delfile StructList.inc
call :delfile CompressList.inc
call :delfile version.res
call :delfile version.rc
call :delfile innounp.res
call :delfile innounp_observer.res
call :delfile innounp_observer.rc
call :delfile Units\*.dcu
call :deldir __history
call Lib\Pepak\Build\clean.bat
popd
goto :eof

:delfile
if exist "%~1" del "%~1"
goto :eof

:deldir
if exist "%~1" rd /s /q "%~1"
goto :eof
